﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PersonTest
{
    class Person
    {
        string name;    // instance variables
        int age;        // instance variables
        float height;   // instance variables
        float weight;   // instance variables

        static int count = 0;   // static (class) variables

        public Person() : this("", 0, 10.0f, 10.0f) {}
        public Person(string name, int age, float height, float weight) 
        {
            count++;
            this.name = name;
            this.age = age;
            this.height = height;
            this.weight = weight;
        }
        public int getAge() { return age; }                             // instance methods
        public void setAge(int age) { this.age = age; }                 // instance methods
        public float getHeight() { return height; }                     // instance methods
        public void setHeight(float height) { this.height = height; }   // instance methods
        public float getWeight() { return weight; }                     // instance methods
        public void setWeight(float weight) { this.weight = weight; }   // instance methods
        public void print()                                             // instance methods
        {
            Console.WriteLine("Person name={0}", name);
            Console.WriteLine("Person age={0}", age);
            Console.WriteLine("Person height={0}", height);
            Console.WriteLine("Person weight={0}", weight);
        }

        public static int getCount() { return count; }                  // static (class) methods
    }
}
